﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[RequireComponent(typeof(ParticleSystem))]
public class DeleteDeadParticle : MonoBehaviour {
    ParticleSystem particles;
    bool wasPlaying = false;

	// Use this for initialization
	void Start () {
        particles = GetComponent<ParticleSystem>();
	}
	
	// Update is called once per frame
	void Update () {
        if (particles.isPlaying)
        {
            wasPlaying = true;
        }

        if (wasPlaying && !particles.isPlaying)
        {
            Destroy(gameObject);
        }
	}
}
