﻿using System.Collections;
using System.Collections.Generic;
using Valve.VR.InteractionSystem;
using UnityEngine;

public class DeleteTimer : MonoBehaviour {

    public float timeToDie = 30.0f;

    private float timer = 0.0f;

    private Player player;

	// Use this for initialization
	void Start () {
        player = Player.instance;
	}
	
	// Update is called once per frame
	void Update () {

        foreach (Hand hand in player.hands)
        {
            if (hand.isActiveAndEnabled)
            {
                if (hand.controller != null)
                {
                    if (hand.controller.GetPressDown(Valve.VR.EVRButtonId.k_EButton_SteamVR_Trigger))
                    {
                        Destroy(gameObject);
                    }
                }
            }
        }
        timer += Time.deltaTime;

        if (timer >= timeToDie)
        {
            Destroy(gameObject);
        }
	}
}
