﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SpawnManager : MonoBehaviour {
    public SpawnGroup[] groups;

    private SpawnGroup prevGroup;

    int groupIndex = 0;

	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
        bool spawn = false;

        if (prevGroup == null)
        {
            spawn = true;
        }
        else
        {
            if (prevGroup.GetNumBoats() * 2 < prevGroup.GetMaxNumBoats())
            {
                spawn = true;
            }
        }

        if (spawn)
        {
            groups[groupIndex].Spawn();
            prevGroup = groups[groupIndex];

            if (groupIndex < groups.Length-1)
            {
                ++groupIndex;
            }
        }
        
	}
}
