﻿using System.Collections;
using System.Collections.Generic;
using Valve.VR.InteractionSystem;
using UnityEngine;

public class TentacleAnimation : MonoBehaviour {
    private Hand hand;
    private Animator animator;

	// Use this for initialization
	void Start () {
        hand = GetComponentInParent<Hand>();
        animator = GetComponentInChildren<Animator>();
	}
	
	// Update is called once per frame
	void Update () {
        if (hand.controller != null)
        {
            if (hand.controller.GetPress(Valve.VR.EVRButtonId.k_EButton_SteamVR_Trigger))
            {
                animator.SetBool("grab", true);
            }
            else
            {
                animator.SetBool("grab", false);
            }
        }
	}
}
