﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ImpactDamage : MonoBehaviour {
    public ParticleSystem explosion;

	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		
	}

    void OnCollisionEnter(Collision collision)
    {
        if (collision.relativeVelocity.magnitude >= 2.0f)
        {
            BoatDeath boat = GetComponent<BoatDeath>();

            if (boat)
            {
                boat.battleshipHitpoints -= 1;
            }

            Instantiate(explosion, collision.contacts[0].point, Quaternion.identity);
        }
    }
}
